# dot

This repo tracks user and system configuration files, installed packages
and initial command history for setting-up a desktop environment running Debian
testing/unstable with `sway`, `foot`, `fuzzel` and `neovim`.

(The `padova` branch tracks configuration files, installed packages and initial
command history for setting-up a `wireguard` VPN server.)

## bootstrap the dotfiles

```
sudo apt install git
git init -b padova
git remote add origin gitea@git.kompot.si:urosm/dot.git
git pull origin padova
```

## setup urosm@padova

```sh
# disable the annoying `.sudo_as_admin_successful` file
sudo cp -ri .config/sudoers.d /etc/
# configure and start firewall
sudo cp -ri .config/nftables.conf /etc/
systemctl enable --now nftables.service
# install and configure wireguard
sudo apt install wireguard
sudo cp -ri .config/wireguard /etc/
sudo wg-quick up padova
# configure automatic updates
sudo apt install unattended-upgrades apt-listchanges
```
